> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usestellar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Insight

> Creates a new insight in the store



## OpenAPI

````yaml POST /insights
openapi: 3.1.0
info:
  title: Stellar
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.usestellar.com
security:
  - bearerAuth: []
paths:
  /insights:
    post:
      description: Creates a new insight in the store
      requestBody:
        description: Insight to add to the store
        content:
          application/json:
            schema:
              $ref: fbc1ec03-3394-4e10-aaa6-fa79d485e098
        required: true
      responses:
        '200':
          description: Insight response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Insight'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Insight:
      required:
        - content
      type: object
      properties:
        content:
          description: The content of the insight
          type: string
        tag:
          description: Tag to specify the type
          type: string
        title:
          description: The title of the insight
          type: string
        source:
          description: The source of the insight
          type: string
        createdAt:
          description: The date and time the insight was created
          type: string
          format: date-time
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````